package commons;

import static org.junit.Assert.*;

import org.junit.Test;

public class TimeLineTest {

	@Test
	public final void testAddValueHappy() {
		TimeLine tl = new TimeLine();
		ValuePair vp1 = new ValuePair(1,1,1); tl.addValue(vp1);
		ValuePair vp2 = new ValuePair(2,2,2); tl.addValue(vp2);
		
		int expectedValue = 2;
		int actualValue = tl.getValues().size();
		assertEquals(expectedValue, actualValue);
	}

	@Test
	public final void testAddValueNullPair() {
		TimeLine tl = new TimeLine();
		ValuePair vp1 = new ValuePair(1,1,1); tl.addValue(vp1);
		ValuePair vp2 = null; tl.addValue(vp2);
		
		int expectedValue = 1;
		int actualValue = tl.getValues().size();
		assertEquals(expectedValue, actualValue);
	}
	
}
